For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List break policies

GET
/break-policies/

Use with AI:Rippling AI ChatGPT Claude Cursor

List break policies

GET
/break-policies/

Returns a paginated list of break policies used to configure rest and meal breaks in Time & Attendance.

Helpful resources

Required Scopes

  • break-policies.read

Request

Query Parameters
    order_by string
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Sorting results

Include one or more of these fields in the sort parameter to control result order.

Fields:id, created_at, updated_at

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id stringrequired

      Identifier field

      created_at stringrequired

      Record creation date

      updated_at stringrequired

      Record update date

      name stringrequired

      The display name of the break policy. For default policies this is the system-generated label (e.g. 'Default Break policy: All Workers | California'); for custom policies this is the admin-provided description.

      country_code string

      ISO 3166-1 alpha-2 country code the policy applies to (e.g. 'US', 'CA', 'GB').

      is_default boolean

      Whether this is a system-seeded default policy (true) or a custom policy created by an admin (false).

      ]
    next_link string

    A link to the next page of responses.

Loading...